Bug 1262574 - Margins too wide for Brother HL-5470 printer
Margins too wide for Brother HL-5470 printer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: foomatic-db (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-12 19:55 EDT by John Reiser
Modified: 2016-07-19 13:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:52:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2015-09-12 19:55:32 EDT
Description of problem: The software margins are too wide after a default install of Brother HL-5470DW printer using "Generic PCL 6/PCL XL Printer" driver.  The margins used for US Letter paper in /etc/cups/ppd/HL-5470DW.ppd  are 18 points (1/4 inch, 6.35mm) on Left and Right in portrait orientation, and 36 points (1/2 inch, 12.7mm) on Top and Bottom.  However, the printer hardware is capable of 12 points (1/6 inch, 4.23mm) on all sides.  The difference is particularly noticeable because the layout used by "a2ps" in default 2-up printing on US Letter paper has Left and Right margins [landscape orientation] of 27 points (3/8 inch, 9.52mm).  The extra 9 points (1/8 inch, 3.18mm) often contains significant information.


Version-Release number of selected component (if applicable):
foomatic-db-ppds-4.0-45.20150415.fc22.noarch


How reproducible: every time


Steps to Reproduce:
1. install new Brother HL-5470DW printer recognized from Bonjour network auto-configuration
2.  print a 2-page text file using "a2ps" in default 2-up mode (2 pages per sheet) on US Letter paper.
3.

Actual results: The left and right bounding boxes are clipped off near the edge of the paper.


Expected results:  Margins of 12 points on all edges for US Letter paper.


Additional info:  You can "fix" the problem by editing /etc/cups/ppd/HL-5470DW.ppd
----- before
*ImageableArea Letter/US Letter: "18 36 594 756"

-----after
*ImageableArea Letter/US Letter: "12 12 600 780"

and then restarting CUPS: systemctl restart cups

Editing /etc/cups/ppd/HL-5470DW.ppd is finicky: replace characters 1-for-1 only.
Comment 1 Jiri Popelka 2015-09-15 06:48:14 EDT
(In reply to John Reiser from comment #0)
> ... after a default install of Brother HL-5470DW printer
> using "Generic PCL 6/PCL XL Printer" driver.

Looking at
http://www.openprinting.org/printers
there's been no open source driver (PPD) for your printer yet.
The 'Generic ...' driver was a best guess.

You can contribute to the database by filling out this form:
http://www.openprinting.org/printers/upload
Comment 2 John Reiser 2015-10-18 14:49:18 EDT
I tried http://www.openprinting.org/printers/upload; it was a UI disaster.  It requires an account, and the email verification fails if the first response is not 100% perfect.  Trying again, it is impossible to choose one of the existing ~150 drivers as "working".  Typing a <Return> in the driver name field activates the whole form without requiring confirmation, and leaves you with a totally blank screen, wondering what happened.

I did create some kind of listing for HL-5470DW, but cannot view the actual content of what I submitted.  Perhaps my main comment "The marking engine is the same as HL-5050, with 12-point (1/6 inch) margins on all edges" did get through.
Comment 3 Fedora Admin XMLRPC Client 2016-06-24 06:34:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 13:52:16 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.